<h1 mat-dialog-title>Add {{product.name}} to Locations</h1>
<mat-dialog-content>
  <mat-checkbox
    *ngFor="let location of locations"
    class="checkbox-item" [checked]="location.productIds.includes(product.id)"
    (change)="addProductToLocation(location, $event.checked)"
  >{{location.name}}</mat-checkbox>
  <mat-progress-bar *ngIf="showProgressIndicator" mode="indeterminate"></mat-progress-bar>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button mat-dialog-close="" color="primary">OK</button>
</mat-dialog-actions>
